# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Santé)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------  


#!/bin/bash

# How to use this script
# $1 : creaToolsTools path
# $2 : creaToolsGenerationDir path
# $3 : module name  to be tested
# $4 : number of cores for compilation

# Example :
# bash ./cdashmod.sh ~/Creatis/creaToolsTools  ~/Creatis/creaToolsGenerationDir crea 4


# updates creaToolsTools
cd $1
pwd
git pull origin master

# updates $3 module from creaTools
cd $2/creatools_source/$3
pwd
git pull origin master

# configures the compilation to enable testing  with CDash
cd $2/creatools_bin/$3Bin
pwd
cmake -DBUILD_TESTING:BOOL=ON -DINCLUDE_CTEST:BOOL=ON -DCREA_BUILD_VTK:BOOL=ON -DCREA_BUILD_WX:BOOL=ON $2/creatools_source/$3
cmake .
cmake .

# cleans and launches the compilation an and sends the result to the dashboard
make clean
make -j$4 Experimental

